package com.inca.npbusi.sacon.saagreement;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.pubsrv.hov.pub_custom_to_saler_hov.Pub_custom_to_saler_hov;

public class saagreement_master extends CMasterModel {
   public saagreement_master(CFrame var1, CMdeModel var2) {
      super(var1, "销售协议总单", var2);
   }

   public String getTablename() {
      return "bms_SA_AGREEMENT_DOC_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected int on_new(int var1) {
      this.setItemValue(var1, "inputmanname", ClientUserManager.getCurrentUser().getUsername());
      this.setItemValue(var1, "inputmanid", ClientUserManager.getCurrentUser().getUserid());
      this.setItemValue(var1, "entryid", ClientUserManager.getCurrentUser().getEntryid());
      return super.on_new(var1);
   }

   protected int on_beforemodify(int var1) {
      super.on_beforemodify(var1);
      return 0;
   }

   protected void on_itemvaluechange(int var1, String var2, String var3) {
      if (var2.equals("customerid")) {
         var2 = this.mdemodel.getMasterModel().getItemValue(var1, "entryid");
         String var4 = "select * from pub_custom_to_saler_v where customid=" + var3 + " and entryid=" + var2;
         DBTableModel var5 = null;
         RemotesqlHelper var6 = new RemotesqlHelper();

         try {
            var5 = var6.doSelect(var4, 0, 10);
         } catch (Exception var10) {
            var10.printStackTrace();
         }

         if (var5 == null || var5.getRowCount() == 0) {
            this.infoMessage("提示", "没有业务员，不可录入总单！");
            this.setItemValue(var1, "customopcode", "");
            this.setItemValue(var1, "customname", "");
            this.setItemValue(var1, "customid", "");
            return;
         }

         String var7;
         String var8;
         if (var5.getRowCount() == 1) {
            var4 = var5.getItemValue(0, "salerdeptid");
            var2 = var5.getItemValue(0, "salerid");
            var3 = var5.getItemValue(0, "saleropcode");
            var7 = var5.getItemValue(0, "salername");
            var8 = var5.getItemValue(0, "salerdeptname");
            if (var4 == null || "".equals(var4)) {
               var4 = "select * from pub_employee_v where employeeid=" + var2;

               try {
                  var5 = var6.doSelect(var4, 0, 1);
               } catch (Exception var9) {
                  var9.printStackTrace();
               }

               var4 = var5.getItemValue(0, "deptid");
               var8 = var5.getItemValue(0, "deptname");
            }

            this.setItemValue(var1, "salerid", var2);
            this.setItemValue(var1, "saleropcode", var3);
            this.setItemValue(var1, "salername", var7);
            this.setItemValue(var1, "salerdeptname", var8);
            this.setItemValue(var1, "salerdeptid", var4);
            return;
         }

         if (var5.getRowCount() > 1) {
            Pub_custom_to_saler_hov var12;
            (var12 = new Pub_custom_to_saler_hov(true)).setOtherwheres("customid = " + var3 + " and entryid=" + var2);
            DBTableModel var11;
            if ((var11 = var12.showDialog(this.frame, "")) == null) {
               this.setItemValue(var1, "salerid", "");
               this.setItemValue(var1, "saleropcode", "");
               this.setItemValue(var1, "salername", "");
               this.setItemValue(var1, "salesdeptname", "");
               this.setItemValue(var1, "salerdeptid", "");
               return;
            }

            var3 = var11.getItemValue(0, "salerid");
            var7 = var11.getItemValue(0, "saleropcode");
            var8 = var11.getItemValue(0, "salername");
            var4 = var11.getItemValue(0, "salerdeptname");
            var2 = var11.getItemValue(0, "salerdeptid");
            this.setItemValue(var1, "salerid", var3);
            this.setItemValue(var1, "saleropcode", var7);
            this.setItemValue(var1, "salername", var8);
            this.setItemValue(var1, "salerdeptname", var4);
            this.setItemValue(var1, "salerdeptid", var2);
         }
      }

   }
}
